classdef SCDclass_mdsparmatrixint < SCDclass_mdspar
    % A constant 2D matrix integer (int32) MDS+ parameter
    
    properties
    end
    
    methods
        
        function obj=SCDclass_mdsparmatrixint(srctdimodel, destparam, varargin)
            obj@SCDclass_mdspar();
            % Constructor parser customization definitions here
            obj=obj.parseconstructor(srctdimodel, destparam, varargin);
            % Constructor parser customization results here
            obj.classname=class(obj);
            obj.marteclassname='MDSParMatrixInt';
        end
        
        function actualizedata(obj, shot)
            obj=obj.preactualizecommon(shot);
            if ~obj.actualizable, return; end
            obj.caststring=sprintf('%s=int32(%s);',obj.assignvar,obj.assignvar);
            obj.postactualizecommon(shot);
        end
                
        function [obj, value] = getdata(obj,shot)
              [obj,value]=getdata@SCDclass_mdspar(obj,shot);
              value=int32(value);
        end  
        
        function printinfo(obj)
            printinfo@SCDclass_mdspar(obj);
        end
 
        function entrystring = genMARTe2entry(obj, shot)
            entrystring=obj.genMARTe2entrycommon(shot);
            entrystring=[entrystring ' }'];
        end

        function out = casttomds(obj, in)
            out = int32(in);
        end
    end
end

